package premigrations

import (
	"github.com/docker/distribution/registry/datastore/migrations"
	migrate "github.com/rubenv/sql-migrate"
)

func init() {
	m := &migrations.Migration{
		Migration: &migrate.Migration{
			Id: "20210503145024_create_top_level_namespaces_table",
			Up: []string{
				`CREATE TABLE IF NOT EXISTS top_level_namespaces (
				  	id bigint NOT NULL GENERATED BY DEFAULT AS IDENTITY,
				  	created_at timestamp WITH time zone NOT NULL DEFAULT now(),
				  	updated_at timestamp WITH time zone,
				  	name text NOT NULL,
				  	CONSTRAINT pk_top_level_namespaces PRIMARY KEY (id),
				  	CONSTRAINT unique_top_level_namespaces_name UNIQUE (name),
				  	CONSTRAINT check_top_level_namespaces_name_length CHECK ((char_length(name) <= 255))
				)`,
			},
			Down: []string{
				"DROP TABLE IF EXISTS top_level_namespaces CASCADE",
			},
		},
	}

	migrations.AppendPreMigration(m)
}
